Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176032 - Wrongly-generated yaboot.conf
Summary: Wrongly-generated yaboot.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: booty
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-17 22:47 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-11 20:26:38 UTC


Attachments (Terms of Use)
install.log (deleted)
2005-12-17 23:29 UTC, David Woodhouse
no flags Details
install.log.syslog (deleted)
2005-12-17 23:29 UTC, David Woodhouse
no flags Details
anaconda-ks.cfg (deleted)
2005-12-17 23:31 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2005-12-17 22:47:12 UTC
My partition table looks like this...

Disk geometry for /dev/sda: 0.000-239372.437 megabytes
Disk label type: mac
Minor    Start       End     Filesystem  Name                  Flags
1          0.000      0.031              Apple
2          0.031      1.031  hfs         untitled              boot
3          1.031 220001.031  ext3        untitled
4     220001.031 222049.031  hfs         swap                  swap
5     222049.031 239372.437  ext3        untitled

sda5 was originally free space, used as the root partition for the rawhide
installation I just attempted; hda3 was not part of that system. 

The resulting /etc/yaboot.conf written by the installer contained this line:
boot=/dev/sda2 /dev/sda4

This causes ybin/mkofboot to be slightly unhappy, and also the boot-device
environment variable seems to have been set to hd:4, instead of hd:2.

Comment 1 Peter Jones 2005-12-17 23:19:31 UTC
Do you have the install logs handy?

"boot=/dev/sda2 /dev/sda4" looks like booty thinks it's setting up a raid1
device for /boot, which is obviously really strange given what you've said here.

Comment 2 David Woodhouse 2005-12-17 23:28:45 UTC
They didn't seem wonderfully enlightening, which is why I didn't attach them.

Comment 3 David Woodhouse 2005-12-17 23:29:14 UTC
Created attachment 122372 [details]
install.log

Comment 4 David Woodhouse 2005-12-17 23:29:57 UTC
Created attachment 122373 [details]
install.log.syslog

Comment 5 David Woodhouse 2005-12-17 23:31:37 UTC
Created attachment 122374 [details]
anaconda-ks.cfg

Comment 6 Peter Jones 2005-12-17 23:53:12 UTC
No kidding, they don't seem enlightening at all.

Comment 7 David Woodhouse 2005-12-20 01:27:47 UTC
Seems to be a parted bug. It's detecting my swap partition as 'hfs', as shown in
the original report. If I swapoff and then zero the partition, then mkswap and
swapon again, parted no longer reports it as hfs; it reports it as swap.

Comment 8 David Woodhouse 2006-02-21 15:23:05 UTC
Hm, no. Another rawhide install gave me a yaboot.conf saying
'boot=/dev/sda2 /dev/sda4' and turned my swap partition into HFS again.

Comment 9 David Woodhouse 2006-03-05 00:03:35 UTC
Still happening in FC5t3.

Comment 10 Paul Nasrat 2006-07-11 20:26:38 UTC
Fixed in booty 0.78-1

Python keeps target list after for loop so we were getting duplicate entries. 
This reworks the logic so we avoid that.        

http://docs.python.org/ref/for.html



Note You need to log in before you can comment on or make changes to this bug.